Bug 1283645 - mouse cursor jumps on screen under wayland when opening context menus and drop-down lists
mouse cursor jumps on screen under wayland when opening context menus and dro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-19 08:51 EST by Kamil Páral
Modified: 2016-11-25 03:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 03:52:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original video in 240fps (14.50 MB, video/quicktime)
2015-11-19 09:03 EST, Kamil Páral
no flags Details
slowed down version of video (5.49 MB, video/quicktime)
2015-11-19 09:07 EST, Kamil Páral
no flags Details
rpm -qa (70.01 KB, text/plain)
2015-11-19 09:07 EST, Kamil Páral
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 758342 None None None Never

  None (edit)
Description Kamil Páral 2015-11-19 08:51:45 EST
Description of problem:
When I open a drop-down list or a context menu under Wayland, I sometimes spot that the mouse cursor jumps to a different location for a fraction of a second (seems like 1/10 second or something similarly quick). It is probably a race condition, and it's very hard to spot. But we managed to capture the issue with a 240fps camera and furiously fast clicking :)

The mouse cursor always jumps down in vertical direction, it is never shifted horizontally. I can reproduce this best with short drop-down lists (it's most visible when very little changes on the screen otherwise), so that's why I used Display configuration where there's only a single item in the list (probably a bug, but not important here). I can also reproduce this with Nautilus and a context menu shown with a right click. If I do many right clicks quickly in Nautilus window (in an empty space), occasionally I see the mouse cursor teleport down a bit and then go back. It is not necessary to click quickly, this happens even when you do your regular work and click just once or twice, but clicking quickly of course makes it easier and faster to reproduce this.

It is also worth noting that the mouse cursor flickers when opening and closing the drop-down menu. Our theory is that the mouse cursor is moved every time for a fraction of a second, but only sometimes the monitor refresh rate allows us to see it.

We have reproduced this on two different computers.


Version-Release number of selected component (if applicable):
gnome-shell-3.18.2-2.fc23.x86_64
mutter-3.18.2-1.fc23.x86_64
gtk3-3.18.5-2.fc23.x86_64
kernel-4.2.6-300.fc23.x86_64

How reproducible:
it seems always, but you need to try for some time (half a minute or so) and you have to have a keen eye

Steps to Reproduce:
1. right click in nautilus to produce a context menu, or left click on a drop-down list to open and close it, do this repeatedly in quick succession
2. watch the space below the current cursor position
3. occasionally the cursor is visible somewhere below the currently expected position, in a vertical line


Additional info:
This might be related to this bug, but I'm not completely sure:
https://bugzilla.gnome.org/show_bug.cgi?id=758283
Comment 1 Kamil Páral 2015-11-19 09:03 EST
Created attachment 1096686 [details]
original video in 240fps

This is the original video in 240 fps. You can see the cursor flash 4-5 times in the lower half of the screen (vertically below the cursor) during this time. It might be hard to see, but if you slow down the video to e.g. 20% (vlc works well here), it's very clear.

I'm sorry it's so short, the attachment file size limits are hard to keep with this.
Comment 2 Kamil Páral 2015-11-19 09:07 EST
Created attachment 1096687 [details]
slowed down version of video

This is the same video (shorter cut), but slowed down to 10% (24fps), so that you can easily see the issue without slowing down the video. What you see in the video is 10% of real time speed.
Comment 3 Kamil Páral 2015-11-19 09:07 EST
Created attachment 1096688 [details]
rpm -qa
Comment 4 Kamil Páral 2015-11-19 09:18:01 EST
My hardware:
Lenovo Thinkpad T450s
Intel(R) Core(TM) i7-5600U CPU @ 2.60GHz
00:02.0 VGA compatible controller [0300]: Intel Corporation Broadwell-U Integrated Graphics [8086:1616] (rev 09)

Might also be related to:
https://bugzilla.gnome.org/show_bug.cgi?id=751835
Comment 5 Fedora End Of Life 2016-11-24 08:34:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Kamil Páral 2016-11-25 03:52:06 EST
I no longer see this in F25.

Note You need to log in before you can comment on or make changes to this bug.